clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
88.4
89.45
90.5
91.55
92.6
93.65
94.7
95.75
96.8
97.85
98.9
99.95
101
102.05
103.1
104.15
105.2
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000545558	0.000565067	0.000587129	0.000612188	0.000640802	0.000673674	0.000711708	0.000756082	0.000808366	0.000870696	0.00094606	0.00103876	0.00115524	0.0013056	0.00150663	0.00178849	0.00221123;
0.000543835	0.000563337	0.000585386	0.000610427	0.000639017	0.000671857	0.00070985	0.000754173	0.000806393	0.000868641	0.000943901	0.00103647	0.00115278	0.00130291	0.00150365	0.00178508	0.00220718;
0.000542167	0.00056166	0.000583697	0.000608721	0.000637288	0.000670098	0.000708052	0.000752326	0.000804483	0.000866653	0.000941813	0.00103425	0.0011504	0.00130032	0.00150076	0.00178178	0.00220328;
0.00054055	0.000560036	0.000582061	0.000607069	0.000635614	0.000668395	0.000706312	0.000750538	0.000802635	0.00086473	0.000939794	0.00103211	0.0011481	0.00129781	0.00149797	0.0017786	0.00219951;
0.000538982	0.000558462	0.000580477	0.000605469	0.000633993	0.000666747	0.000704627	0.000748808	0.000800848	0.00086287	0.000937841	0.00103004	0.00114588	0.00129539	0.00149528	0.00177552	0.00219587;
0.000537463	0.000556937	0.000578942	0.00060392	0.000632423	0.00066515	0.000702997	0.000747134	0.000799118	0.00086107	0.000935953	0.00102804	0.00114373	0.00129305	0.00149267	0.00177255	0.00219236;
0.000535991	0.000555459	0.000577455	0.000602419	0.000630903	0.000663605	0.000701419	0.000745514	0.000797445	0.00085933	0.000934127	0.0010261	0.00114165	0.00129078	0.00149016	0.00176968	0.00218896;
0.000534564	0.000554028	0.000576014	0.000600965	0.000629431	0.000662109	0.000699892	0.000743947	0.000795826	0.000857646	0.000932362	0.00102423	0.00113964	0.0012886	0.00148773	0.00176691	0.00218569;
0.000533181	0.00055264	0.000574618	0.000599557	0.000628006	0.00066066	0.000698413	0.00074243	0.00079426	0.000856018	0.000930655	0.00102243	0.0011377	0.00128648	0.00148538	0.00176424	0.00218253;
0.00053184	0.000551295	0.000573266	0.000598193	0.000626625	0.000659258	0.000696982	0.000740962	0.000792746	0.000854444	0.000929004	0.00102068	0.00113583	0.00128444	0.00148312	0.00176166	0.00217948;
0.000530541	0.000549991	0.000571955	0.000596871	0.000625289	0.0006579	0.000695597	0.000739541	0.00079128	0.000852921	0.000927408	0.00101899	0.00113402	0.00128247	0.00148093	0.00175916	0.00217653;
0.000529281	0.000548728	0.000570685	0.000595591	0.000623994	0.000656586	0.000694257	0.000738167	0.000789863	0.000851449	0.000925866	0.00101736	0.00113227	0.00128057	0.00147882	0.00175676	0.00217369;
0.00052806	0.000547504	0.000569455	0.000594352	0.00062274	0.000655314	0.000692959	0.000736838	0.000788493	0.000850025	0.000924375	0.00101578	0.00113058	0.00127873	0.00147678	0.00175444	0.00217095;
0.000526876	0.000546318	0.000568263	0.000593151	0.000621527	0.000654082	0.000691705	0.000735552	0.000787167	0.00084865	0.000922935	0.00101426	0.00112895	0.00127696	0.00147481	0.0017522	0.00216832;
0.000525728	0.000545168	0.000567109	0.000591988	0.000620352	0.00065289	0.00069049	0.000734308	0.000785886	0.00084732	0.000921543	0.00101278	0.00112738	0.00127525	0.00147292	0.00175004	0.00216577;
0.000524615	0.000544054	0.00056599	0.000590862	0.000619214	0.000651737	0.000689315	0.000733105	0.000784646	0.000846034	0.000920199	0.00101136	0.00112586	0.0012736	0.00147109	0.00174796	0.00216332;
0.000523537	0.000542974	0.000564906	0.000589771	0.000618113	0.000650621	0.000688179	0.000731942	0.000783449	0.000844793	0.0009189	0.00100999	0.00112439	0.001272	0.00146932	0.00174596	0.00216096];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','^',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0003 0.00221123])
ylim([88.4E9 105.2E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([88.4E9 90E9 92E9 95E9 97E9 100E9 102E9 105.2E9])
zticks([0.000523537 0.00075 0.00100 0.00125 0.00150 0.00175 0.00221123])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-60Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_60TaDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_60TaDoped_strainenergy_LLZO_48e_fAl.png